--- dehydrated-0.4.0/dehydrated.orig	2017-02-05 15:33:17.000000000 +0100
+++ dehydrated-0.4.0/dehydrated	2017-06-30 21:44:57.356982538 +0200
@@ -751,6 +751,10 @@
   walk_chain "${crt_path}" > "${CERTDIR}/${domain}/chain-${timestamp}.pem"
   cat "${CERTDIR}/${domain}/chain-${timestamp}.pem" >> "${CERTDIR}/${domain}/fullchain-${timestamp}.pem"
 
+  # Create privkeyandcert.pem
+  cat "${CERTDIR}/${domain}/${privkey}" >> "${CERTDIR}/${domain}/privkeyandcert-${timestamp}.pem"
+  cat "${CERTDIR}/${domain}/cert-${timestamp}.pem" >> "${CERTDIR}/${domain}/privkeyandcert-${timestamp}.pem"
+
   # Update symlinks
   [[ "${privkey}" = "privkey.pem" ]] || ln -sf "privkey-${timestamp}.pem" "${CERTDIR}/${domain}/privkey.pem"
 
@@ -758,6 +762,7 @@
   ln -sf "fullchain-${timestamp}.pem" "${CERTDIR}/${domain}/fullchain.pem"
   ln -sf "cert-${timestamp}.csr" "${CERTDIR}/${domain}/cert.csr"
   ln -sf "cert-${timestamp}.pem" "${CERTDIR}/${domain}/cert.pem"
+  ln -sf "privkeyandcert-${timestamp}.pem" "${CERTDIR}/${domain}/privkeyandcert.pem"
 
   # Wait for hook script to clean the challenge and to deploy cert if used
   [[ -n "${HOOK}" ]] && "${HOOK}" "deploy_cert" "${domain}" "${CERTDIR}/${domain}/privkey.pem" "${CERTDIR}/${domain}/cert.pem" "${CERTDIR}/${domain}/fullchain.pem" "${CERTDIR}/${domain}/chain.pem" "${timestamp}"
